<?php
require("includes/check_auth_user.php");

require("includes/dbconnect.php");

include ('includes/function.php');



$zdb = $_SESSION["zdbyear_" . $dbname];

mysqli_select_db($conn, $zdb);

$admin = $_SESSION["admin_" . $dbname];

$fseries = $_SESSION["society_" . $dbname];

$tourcode = $_SESSION['tourcode'];

$tourcond = "AND a.tour = '$tourcode'";

$success = false;

$source = 'BP';

$file = "bankpay.php";

$type = "P";

$keyfld = "vouchno";

$rangeFrom = $_REQUEST["rangeFrom"];

$rangeTo = $_REQUEST["rangeTo"];

$searchTerm = $_REQUEST["ssearch"];

$operator = $_REQUEST["soperator"];

$para = $_REQUEST["para"];

$paracond = " and `frmac`='$para'";

$cond = "";

if ($operator == "=") {

    if ($_REQUEST["sfield"] == "1") {

        $cond = "AND a.`recpno` = '$searchTerm'";

    } else if ($_REQUEST["sfield"] == "2") {

        $cond = "AND a.`vouchdt` = '$searchTerm'";

    }  else if ($_REQUEST["sfield"] == "3") {

        $cond = "AND b.`name` = '$searchTerm'";

    } else if ($_REQUEST["sfield"] == "4") {

        $cond = "AND a.`amount` = '$searchTerm'";

    } else if ($_REQUEST["sfield"] == "5") {

        $cond = "AND b.`name` = '$searchTerm'";

    } else if ($_REQUEST["sfield"] == "6") {

        $cond = "AND a.`recpno` = '$searchTerm'";

    } else if ($_REQUEST["sfield"] == "7") {

        $cond = "AND a.`chqno` = '$searchTerm'";

    } else if ($_REQUEST["sfield"] == "8") {

        $cond = "AND a.`chqdate` = '$searchTerm'";

    } else if ($_REQUEST["sfield"] == "9") {

        $cond = "AND a.`rtgsno` = '$searchTerm'";

    } else if ($_REQUEST["sfield"] == "10") {

        $cond = "AND a.`narr1` = '$searchTerm'";

    } 

} else {

    if ($_REQUEST["sfield"] == "1") {

        $cond = "AND a.`recpno` LIKE '%$searchTerm%'";

    } else if ($_REQUEST["sfield"] == "2") {

        $cond = "AND a.`vouchdt` LIKE '%$searchTerm%'";

    }  else if ($_REQUEST["sfield"] == "3") {

        $cond = "AND b.`name` LIKE '%$searchTerm%'";

    } else if ($_REQUEST["sfield"] == "4") {

        $cond = "AND a.`amount` LIKE '%$searchTerm%'";

    } else if ($_REQUEST["sfield"] == "5") {

        $cond = "AND b.`name` LIKE '%$searchTerm%'";

    } else if ($_REQUEST["sfield"] == "6") {

        $cond = "AND a.`recpno` LIKE '%$searchTerm%'";

    } else if ($_REQUEST["sfield"] == "7") {

        $cond = "AND a.`chqno` LIKE '%$searchTerm%'";

    } else if ($_REQUEST["sfield"] == "8") {

        $cond = "AND a.`chqdate` LIKE '%$searchTerm%'";

    } else if ($_REQUEST["sfield"] == "9") {

        $cond = "AND a.`rtgsno` LIKE '%$searchTerm%'";

    } else if ($_REQUEST["sfield"] == "10") {

        $cond = "AND a.`narr1` LIKE '%$searchTerm%'";

    } 

}



 $sortcond = "ORDER BY a.`recpno`";

if ($_REQUEST["sortBy"] == "1") {

    $sortcond = " ORDER BY a.`recpno`";

}elseif ($_REQUEST["sortBy"] == "2") {

    $sortcond = " ORDER BY a.`vouchdt`";

}elseif ($_REQUEST["sortBy"] == "3") {

    $sortcond = " ORDER BY b.`name`";

}elseif ($_REQUEST["sortBy"] == "4") {

    $sortcond = " ORDER BY a.`amount`";

}elseif ($_REQUEST["sortBy"] == "5") {

    $sortcond = " ORDER BY b.`name`";

}elseif ($_REQUEST["sortBy"] == "6") {

    $sortcond = " ORDER BY a.`recpno`";

}elseif ($_REQUEST["sortBy"] == "7") {

    $sortcond = " ORDER BY a.`chqno`";

}elseif ($_REQUEST["sortBy"] == "8") {

    $sortcond = " ORDER BY a.`chqdate`";

}elseif ($_REQUEST["sortBy"] == "9") {

    $sortcond = " ORDER BY a.`rtgsno`";

}elseif ($_REQUEST["sortBy"] == "10") {

    $sortcond = " ORDER BY a.`narr1`";

}



$ordcond = "DESC";

if ($_REQUEST["orderAs"] == "desc") {

    $ordcond = " DESC";

} else {

    $ordcond = " ASC";

}



$query = "SELECT a.`vouchno`,a.`vouchdt`, a.`amount`, a.`recpno`, a.`chqno`, a.`chqdate`, a.`rtgsno`, a.`narr1`,a.`narr2`, b.`accode`, b.`name` as cname ,b.`name`

        FROM `bankpay` a, `accmast` b  WHERE a.`accode` = b.`accode` 

        and a.`series`='$fseries' $paracond $tourcond  $cond $sortcond $ordcond LIMIT $rangeFrom, $rangeTo";

$result = mysqli_query($conn, $query)or die(mysqli_error($conn));



$rows = array();

$ctr = 0;

while ($r = mysqli_fetch_assoc($result)) {



    $rows[] = [ 'success' => true,

                'value' => $ctr,

        'keyfld' => $keyfld,

        'vouchno' => $r['recpno'],

        'vouchdt' => $r['vouchdt'],

        'name' => $r['name'],

        'amount' => $r['amount'],

        'cname' => $r['cname'],

        'recpno' => $r['recpno'],

        'chqno' => $r['chqno'],

        'chqdate' => $r['chqdate'],

        'rtgsno' => $r['rtgsno'],

        'narr1' => $r['narr1'],

        'narr2' => $r['narr2'],

        'action' => "$file?mode=edit&series=$fseries&vouchno=$r[vouchno]&para=$para",

            ];

    $ctr++;

}



header("Content-type: application\json");

echo json_encode($rows);

